# class ACL::ACLList

A list of `ACLEntry` objects. Used to implement the allow and deny halves of an `ACL`

### Public Class Methods

new() click to toggle source

Creates an empty `ACLList`

    # File lib/drb/acl.rb, line 129
    def initialize
      @list = []
    end

### Public Instance Methods

add(str) click to toggle source

Adds `str` as an `ACLEntry` in this list

    # File lib/drb/acl.rb, line 150
    def add(str)
      @list.push(ACLEntry.new(str))
    end

match(addr) click to toggle source

Matches `addr` against each `ACLEntry` in this list.

    # File lib/drb/acl.rb, line 138
    def match(addr)
      @list.each do |e|
        return true if e.match(addr)
      end
      false
    end